Get Customers
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"id": null,
"email": null,
"discord_id": null,
"discord_username": null,
"subscribed": null,
"affiliate_code": null,
"affiliate_referrer_email": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/customers"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"id": None,
"email": None,
"discord_id": None,
"discord_username": None,
"subscribed": None,
"affiliate_code": None,
"affiliate_referrer_email": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
id: null,
email: null,
discord_id: null,
discord_username: null,
subscribed: null,
affiliate_code: null,
affiliate_referrer_email: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 3,
"email": "reseller@sellauth.test",
"discord_id": null,
"discord_username": null,
"balance": "100.00",
"total_completed": 0,
"total_spent_usd": "0.00",
"last_completed_at": null,
"newsletter_at": null,
"affiliate_code": null,
"affiliate_referrer_id": null,
"affiliate_referrer": null
},
{
"id": 2,
"email": "customer-240@sellauth.test",
"discord_id": null,
"discord_username": null,
"balance": "0.00",
"total_completed": 0,
"total_spent_usd": "0.00",
"last_completed_at": null,
"newsletter_at": null,
"affiliate_code": null,
"affiliate_referrer_id": null,
"affiliate_referrer": null
},
{
"id": 1,
"email": "customer@sellauth.test",
"discord_id": null,
"discord_username": null,
"balance": "100.00",
"total_completed": 0,
"total_spent_usd": "0.00",
"last_completed_at": null,
"newsletter_at": null,
"affiliate_code": "PARTNER10",
"affiliate_referrer_id": null,
"affiliate_referrer": null
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/customers?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/customers?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/customers?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/customers",
"per_page": 20,
"prev_page_url": null,
"to": 3,
"total": 3
}Customers
Get Customers
Retrieves the customers.
GET
/
v1
/
shops
/
{shopId}
/
customers
Get Customers
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
application/json
Page number.
Example:
1
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
Example:
null
Available options:
id, email, discord_id, discord_username, balance, total_completed, total_spent_usd, last_completed_at, newsletter_at, affiliate_code Example:
null
Available options:
asc, desc Example:
null
Filter by customer ID.
Example:
null
Filter by email.
Example:
null
Example:
null
Example:
null
Only newsletter subscribers.
Example:
null
Filter by affiliate code.
Example:
null
Filter by referring affiliate email.
Example:
null
Response
200 - application/json
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"id": 3,
"email": "reseller@sellauth.test",
"discord_id": null,
"discord_username": null,
"balance": "100.00",
"total_completed": 0,
"total_spent_usd": "0.00",
"last_completed_at": null,
"newsletter_at": null,
"affiliate_code": null,
"affiliate_referrer_id": null,
"affiliate_referrer": null
},
{
"id": 2,
"email": "customer-240@sellauth.test",
"discord_id": null,
"discord_username": null,
"balance": "0.00",
"total_completed": 0,
"total_spent_usd": "0.00",
"last_completed_at": null,
"newsletter_at": null,
"affiliate_code": null,
"affiliate_referrer_id": null,
"affiliate_referrer": null
},
{
"id": 1,
"email": "customer@sellauth.test",
"discord_id": null,
"discord_username": null,
"balance": "100.00",
"total_completed": 0,
"total_spent_usd": "0.00",
"last_completed_at": null,
"newsletter_at": null,
"affiliate_code": "PARTNER10",
"affiliate_referrer_id": null,
"affiliate_referrer": null
}
]
Example:
"http://api.sellauth.test/v1/shops/1/customers?page=1"
Example:
1
Example:
1
Example:
"http://api.sellauth.test/v1/shops/1/customers?page=1"
Show child attributes
Show child attributes
Example:
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/customers?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
Example:
null
Example:
"http://api.sellauth.test/v1/shops/1/customers"
Example:
20
Example:
null
Example:
3
Example:
3